=== apps/ossim-tool-server/CMakeLists.txt ===
IF (UNIX)
  FILE(GLOB SOURCE_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp")
  OSSIM_SETUP_APPLICATION(ossim-tool-server INSTALL COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ${SOURCE_FILES})
ENDIF (UNIX)
