=== test/src/hdf5/CMakeLists.txt ===
OSSIM_SETUP_APPLICATION(ossim-hdf5-info INSTALL COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-hdf5-info.cpp)
OSSIM_SETUP_APPLICATION(ossim-hdf5-test INSTALL COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ossim-hdf5-test.cpp)
