=== debian/changelog ===
ossim (2.6.2-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 21 Jan 2019 21:30:31 +0100

ossim (2.6.2-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 17 Jan 2019 07:01:36 +0100

ossim (2.6.1-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 15 Dec 2018 20:47:35 +0100

ossim (2.6.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 12 Dec 2018 08:30:58 +0100

ossim (2.6.0-2) unstable; urgency=medium

  * Team upload.
  * No change rebuild with geos 3.7.1.
    (closes: #915822)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 10 Dec 2018 12:22:50 +0100

ossim (2.6.0-1) unstable; urgency=medium

  * Team upload
  * Fix spelling error in copyright file.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Nov 2018 20:13:43 +0100

ossim (2.6.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop cross-build.patch, fixed upstream. Refresh remaining patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 15 Nov 2018 17:38:46 +0100

ossim (2.5.2-2) unstable; urgency=medium

  * Team upload.
  * Apply patches by Helmut Grohne to fix FTCBFS.
    (closes: #911233)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 17 Oct 2018 17:11:19 +0200

ossim (2.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 17 Oct 2018 07:17:12 +0200

ossim (2.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 20 Sep 2018 07:44:25 +0200

ossim (2.5.0-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Aug 2018 10:56:59 +0200

ossim (2.5.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.2.0, no changes.
  * Update watch file to limit matches to archive path.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 Aug 2018 09:15:55 +0200
