## ossim 2.9.0

=== debian/changelog ===
ossim (2.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add upstream patch to fix segfault in ossimTiffProjectionFactory.
    (closes: #932134)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 12 Aug 2019 16:03:10 +0200

ossim (2.8.2-2) unstable; urgency=medium

  * Team upload.
  * No change rebuild with geos 3.7.2.
    (closes: #932792)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 24 Jul 2019 10:00:14 +0200

ossim (2.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.0, no changes.
  * Drop unused override for pkg-js-tools-test-is-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 15 Jul 2019 20:56:26 +0200

ossim (2.7.2-1) unstable; urgency=medium

  * Team upload.
  * Update gbp.conf to use --source-only-changes by default.
  * Add patch to fix spelling errors.
  * Add lintian override for pkg-js-tools-test-is-missing.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 09:25:03 +0200

ossim (2.7.2-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop spelling-errors.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 09 Apr 2019 06:34:56 +0200

ossim (2.7.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove package name from lintian overrides.
  * Refresh patches.
  * Add lintian override for file-references-package-build-path.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Apr 2019 07:31:49 +0200
