=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libpng-dev,
                libtiff-dev,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/ossim
 Vcs-Git: https://salsa.debian.org/debian-gis-team/ossim.git
 Homepage: https://trac.osgeo.org/ossim/
