=== debian/changelog ===
ossim (2.9.1-3) unstable; urgency=medium

  * Team upload.
  * Drop Name field from upstream metadata.
  * Bump Standards-Version to 4.5.0, no changes.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Update lintian overrides for renamed tags.
  * Bump watch file version to 4.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Nov 2020 06:41:28 +0100

ossim (2.9.1-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.1, no changes.
  * Add upstream patches to fix FTBFS with GEOS 3.8.0.
    (closes: #942269)
  * Drop unused override for file-references-package-build-path.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 31 Oct 2019 15:56:16 +0100

ossim (2.9.1-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Sep 2019 06:07:36 +0200

ossim (2.9.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patch applied upstream, refresh remaining patch.
  * Drop unused override for spelling-error-in-binary.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Sep 2019 19:31:32 +0200
