=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: science
 Priority: optional
 Build-Depends: cmake (>= 2.8),
-               debhelper (>= 9),
+               debhelper (>= 10~),
                libcurl4-gnutls-dev | libcurl-ssl-dev,
                libfreetype6-dev,
                libgeos++-dev (>= 3.5.0),
@@ -14,7 +14,7 @@
                libpng-dev,
                libtiff-dev,
                zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/ossim
 Vcs-Git: https://salsa.debian.org/debian-gis-team/ossim.git
 Homepage: https://trac.osgeo.org/ossim/
