=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE=$(shell LC_ALL=C date -u "+%Y%m%d" -d "@$(SOURCE_DATE_EPOCH)")

OSSIM_VERSION=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
OSSIM_VERSION_TAG=$(subst .,_,$(OSSIM_VERSION))

DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
    OPTFLAG =
else
    CFLAGS += -O2
    OPTFLAG = --enable-optimization
endif

%:
	dh $@ --buildsystem cmake \
	      --builddirectory=$(CURDIR)/debian/build

# Add here any variable or target overrides you need.
CMAKE_OPTS = \
       -DCMAKE_BUILD_TYPE=Release \
       -DCMAKE_INSTALL_PREFIX=/usr \
       -DBUILD_OSSIM_APPS=ON \
       -DBUILD_OSSIM_FRAMEWORKS=OFF \
       -DBUILD_OSSIM_FREETYPE_SUPPORT=ON \
       -DBUILD_OSSIM_ID_SUPPORT=ON \
       -DBUILD_OSSIM_MPI_SUPPORT=OFF \
       -DBUILD_OSSIM_TESTS=OFF \
       -DBUILD_SHARED_LIBS=ON \
       -DFREETYPE_INCLUDE_DIRS=/usr/include/freetype2 \
       -DGEOS_INCLUDE_DIR=/usr/include/geos \
       -DINSTALL_LIBRARY_DIR:STRING=lib \
       -DOSSIM_BUILD_DATE=$(BUILD_DATE)

override_dh_auto_clean:
	rm -rf debian/build
	rm -f include/ossim/ossimConfig.h include/ossim/ossimVersion.h
	dh_auto_clean

override_dh_auto_configure:
	[ -d debian/build ] || mkdir debian/build
	[ ! -e CMakeCache.txt ] || rm CMakeCache.txt
	dh_auto_configure -- $(CMAKE_OPTS)

override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/tmp/usr/include/ossimConfig.h
	rm -f $(CURDIR)/debian/tmp/usr/include/ossimVersion.h
	rm -rf $(CURDIR)/debian/tmp/usr/share/ossim/fonts

override_dh_install:
	dh_install --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -V
